# Administration Reference

## vos listpart

Purpose

Displays all AFS partitions on a file server machine

Synopsis

    vos listpart -server <machine name>  [-cell <cell name>]  [-noauth]
                 [-localauth]  [-verbose]  [-help]

    vos listp -s <machine name>  [-c <cell name>]  [-n]  [-l]  [-v]  [-h]

Description

The vos listpart command displays all of the valid AFS partitions on the indicated file server machine, without consulting the Volume Location Database (VLDB). The vos partinfo command reports the size of a partition and the available space on that partition.

Options

-server
  Identifies the file server machine for which to list the partitions. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see the introductory reference page for the vos command suite.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory vos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory vos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see the introductory vos reference page.

-verbose
  Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The output consists of a list of partition names of the form /vicep xx, following the header:

       The partitions on the server are:

The last line of the output reports the total number of partitions.

Examples

The following command displays the partitions on fs1.abc.com:

       % vos listpart fs1.abc.com
       The partitions on the server are:
           /vicepa     /vicepb     /vicepc     /vicepd
       Total:  4

Privilege Required

None

Related Information

vos

vos partinfo

© IBM Corporation 2000. All Rights Reserved